Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000763Core InformRules and rulebookspublic2011-10-01 06:082014-05-07 07:34
Reporterralphmerridew 
Assigned Tograham 
PrioritynormalSeverityseriousReproducibilityalways
StatusclosedResolutionfixed 
Platformx86OSLinuxOS VersionAny
Product Version6G60 
Target VersionFixed in Version6L02 
Summary0000763: Problems with making a rulebook default success / failure.
DescriptionIf an action takes two objects, then the default behavior is ignored. "Bar book with rock" runs both rules.
Minimal Source Text To Reproduce
"Test Rulebooks" by "Mark J. Tilford"

Fooing is an action applying to nothing.  Understand "foo" as fooing.

The carry out fooing rulebook has default success.

Carry out fooing:
   say "This is a foo rule.";
   
Carry out fooing:
   say "This is a different foo rule.";
   
Place is a room.

The player holds a book.  The player holds a rock.

Barring it with is an action applying to two visible objects.  Understand "bar [something] with 
[something]" as barring it with.

Carry out barring it with has default success.

Carry out barring the book with something:
   say "Barring the book!";
   
Carry out barring something with the rock:
   say "Barring with the rock!";
   
test me with "foo / bar book with rock".
TagsNo tags attached.
Effect(serious/mild) Game compiles but misbehaves
Attached Files

- Relationships

-  Notes
(0001308)
EmacsUser (manager)
2011-10-02 14:48

Issue 1 is probably a duplicate, and I've noted it in ~1307. Otherwise, confirmed.
(0002302)
graham (administrator)
2014-01-18 02:14

Not actually to do with the number of objects per se, but a bug relating to the difference between the "carry out" rulebook (which can hold rules to do with any action) and its specific children, "carry out barring it with" and so on. Fixed, anyway.

- Issue History
Date Modified Username Field Change
2011-10-01 06:08 ralphmerridew New Issue
2011-10-02 14:48 EmacsUser Note Added: 0001308
2011-10-02 14:48 EmacsUser Reproducibility have not tried => always
2011-10-02 14:48 EmacsUser Status new => confirmed
2011-10-02 14:48 EmacsUser Description Updated View Revisions
2011-10-02 14:48 EmacsUser Steps to Reproduce Updated View Revisions
2014-01-18 02:14 graham Note Added: 0002302
2014-01-18 02:14 graham Status confirmed => resolved
2014-01-18 02:14 graham Resolution open => fixed
2014-01-18 02:14 graham Assigned To => graham
2014-05-07 07:34 jmcgrew Fixed in Version => 6L02
2014-05-07 07:34 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker